%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define oldlibname %{mklibname xcb-keysyms 1}

Summary:	xcb-util's xcb-keysyms
Name:		xcb-util-keysyms
Version:	0.4.0
Release:	%mkrel 3
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
License:	MIT
Group:		System/X11
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	x11-util-macros

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %{libname}
Summary: xcb-util-keysyms library package
Group: System/X11
%rename %{oldlibname}

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

This is the xcb-util-keysyms library package.

%package -n %{develname}
Summary: xcb-util-keysyms development files
Group: Development/C
Provides:  libxcb-util-keysyms-devel = %{version}-%{release}
Provides:  xcb-util-keysyms-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}
Conflicts: %{mklibname xcb-util -d} < 0.3.8
Conflicts: %{mklibname xcb-util -d -s} < 0.3.8

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-silent-rules
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-keysyms.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog NEWS README
%{_includedir}/xcb/xcb_keysyms.h
%{_libdir}/libxcb-keysyms.so
%{_libdir}/pkgconfig/xcb-keysyms.pc


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-3.mga6
+ Revision: 944056
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 748995
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 0.4.0-1.mga5
+ Revision: 738652
- 0.4.0

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-5.mga5
+ Revision: 690563
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-4.mga4
+ Revision: 520514
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 386691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 tv <tv> 0.3.9-2.mga3
+ Revision: 326336
- fix upgrading libxcb-keysyms1 to libxcb-util-keysyms1

* Sun Jun 03 2012 fwang <fwang> 0.3.9-1.mga3
+ Revision: 253679
- new version 0.3.9

* Tue Dec 13 2011 fwang <fwang> 0.3.8-3.mga2
+ Revision: 181301
- drop .la files

* Sun Oct 09 2011 shlomif <shlomif> 0.3.8-2.mga2
+ Revision: 153526
- Add a missing Conflicts on xck-keysyms1

* Wed Jul 06 2011 ahmad <ahmad> 0.3.8-1.mga2
+ Revision: 119281
- Versionate the xcb-util-devel requires
- Improve the description of the devel package
- Conflict with xcb-util-static-devel
- imported package xcb-util-keysyms

